<?php
$filename = 'c_leitura.php';

if (!file_exists($filename)) {
  header("Location: error.php"); exit;   
}				
include 'c_leitura.php';

?>
<?php
error_reporting(0); 
require_once __DIR__ . DIRECTORY_SEPARATOR . "sealed" . DIRECTORY_SEPARATOR . "autoload.php";
include ('db.php');

$argsPost = array(
   'id' => array(
        'filter' => FILTER_VALIDATE_INT
    ),
    'nome' => array(
        'filter' => FILTER_SANITIZE_STRING
    ),
	'passwd' => array(
        'filter' => FILTER_SANITIZE_STRING
    ),
    'porcent_ponto' => array(
        'filter' => FILTER_SANITIZE_STRING
    ),
    'apoio' => array(
        'filter' => FILTER_SANITIZE_STRING
    )
);
$inputPOST = filter_input_array(INPUT_POST, $argsPost);

$id = $inputPOST['id'];
$nome = $inputPOST['nome'];
$passwd = md5($inputPOST['passwd']);
$porcent_ponto = $inputPOST['porcent_ponto'];
$porcentagem_limite = 50;

//$pontonome = pontoDAO::getPontoConferir($args = " nome = '$nome' AND id <> $id AND status = 1");
//i//f ($pontonome){
//   echo json_encode(array('success' => 0, 'msg' => 'Nome de ponto existente !!'));
//   exit; 
//}

if (!empty($inputPOST['apoio'])) {
    $apoio = $inputPOST['apoio'];
} else {
    $apoio = $_SESSION['UsuarioID'];
}

//$getUser = userDAO::getUser($apoio);
//if ($getUser){
//    $porcentagem_limite = 100 - $getUser->porcentagem ;
//}

if ($porcent_ponto > $porcentagem_limite ){
     echo json_encode(array('success' => 0, 'msg' => 'Limite de porcentagem excedida, máxima de : '.$porcentagem_limite."%"));
     exit;
}

$sql = mysql_query("UPDATE ponto SET nome = '$nome', passwd = '$passwd', porcent_ponto = '$porcent_ponto' WHERE id = '$id'");

if ($sql) {
	echo json_encode(array('success'=>1, 'msg' => 'Ponto alterado com sucesso!'));
} else {
	echo json_encode(array('success'=>0, 'msg' => 'Erro ao alterar o ponto'));
}
exit;
// header("Location: pontos.php?msg=3"); exit;

?>